package com.engine.kq.biz.chain.overtime;

import com.engine.kq.wfset.bean.SplitBean;
import java.util.List;
import java.util.Map;

/**
 * 如果前一天是休息日，当天是休息日的情况
 */
public class OvertimeRestday2RestdayChain extends OvertimeChain{

  public OvertimeRestday2RestdayChain(Map<String, String> splitMap,List<SplitBean> splitBeans) {
    super(splitMap,splitBeans);
  }

  @Override
  public void handleOvertimeChain(SplitBean splitBean) throws Exception {
    int changeType = splitBean.getChangeType();
    int preChangeType = splitBean.getPreChangeType();
    if(preChangeType == 3 && changeType == 3){
      doOverTimeSplit3(splitBean);
    }
  }
}
